Bug 869805 - gnome-screensaver is leaking ~21 MB of memory every lock/unlock cycle.
gnome-screensaver is leaking ~21 MB of memory every lock/unlock cycle.
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-screensaver (Show other bugs)
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 16:23 EDT by Yeroc
Modified: 2017-12-06 05:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 05:54:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yeroc 2012-10-24 16:23:36 EDT
As per summary, I'm seeing gnome-screensaver consuming more and more memory over time.  Every time the screen is locked and then unlocked it consumes an additional ~21 MB of memory.

This issue appears to be identical to an issue reported against FC10 (#533614) but I created a new issue because I didn't seem to have permissions to re-open that case.
Comment 1 RHEL Product and Program Management 2012-12-14 03:07:00 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Yeroc 2013-08-29 10:33:33 EDT
This remains an issue with the latest gnome-screensaver package (gnome-screensaver-2.28.3-24.el6_4.1.x86_64).
Comment 3 Yeroc 2014-03-13 11:10:42 EDT
I've retested with the latest gnome-screensaver package as of today (gnome-screensaver-2.28.3-28.el6.x86_64) and am still seeing this memory leak.  Really annoying to have to restart it every week or so to free up memory!
Comment 4 Jan Kurik 2017-12-06 05:54:02 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.